.\"     $NetBSD: gpib.4,v 1.3 2003/07/04 08:34:18 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 24, 2003
.Dt GPIB 4
.Os
.Sh NAME
.Nm cec
.Nd support for the IEEE488 GPIB
.Sh SYNOPSIS
.Cd "gpib* at cec?"
.Sh DESCRIPTION
The
.Nm
driver supports the IEEE488 general-purpose interface bus (GPIB).
.Sh FILES
.Bl -tag -width XdevXgpibXX -compact
.It Pa /dev/gpib?
GPIB device special file
.El
.Sh SEE ALSO
.Xr cs80bus 4 ,
.Xr ct 4 ,
.Xr mt 4 ,
.Xr rd 4
.Sh HISTORY
The
.Nm
driver appeared in
.Nx 2.0 .
.Sh BUGS
The user-level interface to the gpib driver current doesn't do
anything useful.
The GPIB subsystem places the unfortunate constraint that the
local GPIB controller is always the controller in charge (CIC).
